
@import "fonts/Pangea/stylesheet.css";
@import "fonts/rumeur/stylesheet.css";
@import "fonts/fluxisch-else/stylesheet.css";




.reveal .has-light-background,
.reveal .has-light-background h1,
.reveal .has-light-background h2,
.reveal .has-light-background h3,
.reveal .has-light-background h4,
.reveal .has-light-background h5,
.reveal .has-light-background h6 {
  color: #222;
}
:root {
  --r-background-color: white;
  --r-main-font:
    Fluxisch Else,
    Helvetica,
    sans-serif;
  --r-main-font-size: 32px;
  --r-main-color: #140101;
  --r-block-margin: 20px;
  --r-heading-margin: 0 0 20px 0;
  --r-heading-font:
    Fluxisch Else,
    Helvetica,
    sans-serif;
  --r-heading-color: #ffffff;
  --r-heading-line-height: 1.2;
  --r-heading-letter-spacing: normal;
  --r-heading-text-transform: none;
  --r-heading-text-shadow: none;
  --r-heading1-font-weight: 600;
  --r-heading2-font-weight: bold;
  --r-heading3-font-weight: 600;
  --r-heading4-font-weight: 600;
  --r-heading5-font-weight: 600;
  --r-heading6-font-weight: 600;
  --r-heading1-text-shadow: none;
  --r-heading1-size: 6em;
  --r-heading2-size: 3em;
  --r-heading3-size: 2em;
  --r-heading4-size: 1.3em;
  --r-heading5-size: 0.8em;
  --r-heading6-size: 0.6em;
  --r-code-font: monospace;
  --r-link-color: rgb(37,15,8);
  --r-link-color-dark: #a9f0d5;
  --r-link-color-hover: #250f08;
  --r-selection-background-color: #f529c5;
  --r-selection-color: rgba(255, 255, 255, 1);
  --r-legend-color: rgba(235, 230, 229, 0.666);
}




.reveal-viewport {
  background: #191919;
  background-color: var(--r-background-color);
}
.reveal {
  font-family: var(--r-main-font);
  font-size: var(--r-main-font-size);
  font-weight: normal;
  text-align: left;
  color: var(--r-main-color);
}
.reveal ::selection {
  color: var(--r-selection-color);
  background: var(--r-selection-background-color);
  text-shadow: none;
}
.reveal ::-moz-selection {
  color: var(--r-selection-color);
  background: var(--r-selection-background-color);
  text-shadow: none;
}


.reveal .slides section,
.reveal .slides section > section {
  line-height: 1.3;
  font-weight: inherit;
  
}

.reveal h1,
.reveal h2,
.reveal h3,
.reveal h4,
.reveal h5,
.reveal h6 {
  margin: var(--r-heading-margin);
  color: var(--r-heading-color);
  font-family: var(--r-heading-font);
  line-height: var(--r-heading-line-height);
  letter-spacing: var(--r-heading-letter-spacing);
  text-transform: var(--r-heading-text-transform);
  text-shadow: var(--r-heading-text-shadow);
  word-wrap: break-word;
}
.reveal h1 {
  font-size: var(--r-heading1-size);
}
.reveal h2 {
  font-size: var(--r-heading2-size);
}
.reveal h3 {
  font-size: var(--r-heading3-size);
}
.reveal h4 {
  font-size: var(--r-heading4-size);
}
.reveal h5 {
  font-size: var(--r-heading5-size);
}
.reveal h6 {
  font-size: var(--r-heading6-size);
}
.reveal h1 {
  font-weight: var(--r-heading1-font-weight);
}
.reveal h2 {
  font-weight: var(--r-heading2-font-weight);
}
.reveal h3 {
  font-weight: var(--r-heading3-font-weight);
}
.reveal h4 {
  font-weight: var(--r-heading4-font-weight);
}
.reveal h5 {
  font-weight: var(--r-heading5-font-weight);
}
.reveal h6 {
  font-weight: var(--r-heading6-font-weight);
}
.reveal h1 {
  text-shadow: var(--r-heading1-text-shadow);
}
.reveal .slides > section.drop {
  padding-top: 0;
  padding-bottom: 0;
  height: 100%;
}
.reveal p {
  margin: var(--r-block-margin) 0;
  line-height: 1.3;
}
.reveal h1:last-child,
.reveal h2:last-child,
.reveal h3:last-child,
.reveal h4:last-child,
.reveal h5:last-child,
.reveal h6:last-child {
  margin-bottom: 0;
}
.reveal img,
.reveal video,
.reveal iframe {
  width: 100% !important;
  /* max-width: none !important; */
  height: auto;
  margin: 0;
  padding: 0;
}
.reveal strong,
.reveal b {
  font-weight: bold;
}
.reveal em {
  font-style: italic;
}
.reveal ol,
.reveal dl,
.reveal ul {
  display: inline-block;
  text-align: left;
  margin: 0 0 0 1em;
}
.reveal ol {
  list-style-type: decimal;
}
.reveal ul {
  list-style-type: disc;
}
.reveal ul ul {
  list-style-type: square;
}
.reveal ul ul ul {
  list-style-type: circle;
}
.reveal ul ul,
.reveal ul ol,
.reveal ol ol,
.reveal ol ul {
  display: block;
  margin-left: 40px;
}
.reveal dt {
  font-weight: bold;
}
.reveal dd {
  margin-left: 40px;
}
.reveal blockquote {
  display: block;
  margin: 0 0 0 var(--r-block-margin);
  font-size: var(--r-heading2-size);
}
.reveal blockquote p {
  margin: 0rem 0 1.5rem;
  font-family: var(--r-heading-font);
  font-size: 117.647%;
}
.reveal blockquote p::before {
  content: "Â«";
  position: absolute;
  margin-left: -.75em;
  opacity: 0.5;
  color: var(--r-link-color);
}
.reveal blockquote p::after {
  content: "Â»";
  margin-left: .25em;
  opacity: 0.5;
  color: var(--r-link-color);
}
.reveal blockquote.text-right p::after {
  content: "Â»";
  position: absolute;
  right: -.75em;
}
.reveal blockquote ~ p.fixed {
  padding-left: var(--r-block-margin);
}
.reveal blockquote.text-right ~ p.fixed {
  padding-left: 0;
  padding-right: var(--r-block-margin);
}
.reveal blockquote p:first-child,
.reveal blockquote p:last-child {
  display: inline-block;
}
.reveal blockquote footer {
  font-family: var(--r-code-font);
}
.reveal blockquote.text-right footer {
  max-width: none !important;
}

.reveal q {
  font-style: italic;
}
.reveal pre {
  display: block;
  position: relative;
  width: 90%;
  margin: var(--r-block-margin) auto;
  text-align: left;
  font-size: 0.55em;
  font-family: var(--r-code-font);
  line-height: 1.2em;
  word-wrap: break-word;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.15);
}
.reveal code {
  font-family: var(--r-code-font);
  text-transform: none;
  tab-size: 2;
}
.reveal pre code {
  display: block;
  padding: 5px;
  overflow: auto;
  max-height: 400px;
  word-wrap: normal;
}
.reveal .code-wrapper {
  white-space: normal;
}
.reveal .code-wrapper code {
  white-space: pre;
}
.reveal table {
  margin: auto;
  border-collapse: collapse;
  border-spacing: 0;
}
.reveal table th {
  font-weight: bold;
}
.reveal table th,
.reveal table td {
  text-align: left;
  padding: 0.2em 0.5em;
  border-bottom: 1px solid;
}
.reveal table th[align=center],
.reveal table td[align=center] {
  text-align: center;
}
.reveal table th[align=right],
.reveal table td[align=right] {
  text-align: right;
}
.reveal table tbody tr:last-child th,
.reveal table tbody tr:last-child td {
  border-bottom: none;
}
.reveal sup {
  vertical-align: super;
  font-size: smaller;
}
.reveal sub {
  vertical-align: sub;
  font-size: smaller;
}
.reveal small {
  display: inline-block;
  font-size: 0.6em;
  line-height: 1.2em;
  vertical-align: top;
}
.reveal small * {
  vertical-align: top;
}
/* .reveal img {
  margin-bottom: var(--r-block-margin);
} */
.reveal a {
  color: var(--r-link-color);
  text-decoration: none;
  transition: color 0.15s ease;
}
.reveal a:hover {
  color: var(--r-link-color-hover);
  text-shadow: none;
  border: none;
}
.reveal .roll span:after {
  color: #fff;
  background: var(--r-link-color-dark);
}
.reveal .r-frame {
  border: 4px solid var(--r-main-color);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
}
.reveal a .r-frame {
  transition: all 0.15s linear;
}
.reveal a:hover .r-frame {
  border-color: var(--r-link-color);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.55);
}
.reveal .controls {
  color: var(--r-link-color) !important;
}
.reveal .progress {
  background: rgba(0, 0, 0, 0.2);
  color: var(--r-link-color);
}
@media print {
  .backgrounds {
    background-color: var(--r-background-color);
  }
}
.has-dark-background canvas[data-chart] {
  background-color: white;
}
.has-light-background canvas[data-chart] {
  background-color: unset;
}
canvas[data-chart] {
  padding: 0.5em;
}
.reveal .hljs {
  min-height: 50%;
}





/* modification des alignements */

.reveal .slides {
  text-align: left!important;
}

/* modification de l'alignement vertical */

.reveal .slides section div{
  /* justify-content: center!important; */
}

.reveal .slides section div.justify-center{
  /* justify-content: center!important; */
}

.reveal .slides section div.justify-start{
  /* justify-content: flex-start!important; */
}

.reveal small, 
.reveal .text-sm{
  font-size: 1.1875rem;
  line-height: 1.5;
  max-width: 38em !important;
  color: var(--r-legend-color);
}

.reveal .subtitle {
  margin-top: 0.55em;
  margin-bottom: 0.1em;
}

.reveal h2 + .subtitle {
  position: relative;
  top: -1.25em;
}
.reveal h3 + .subtitle {
  position: relative;
  top: -.75em;
}

.grid{
  --col:3;
  --mt:10;
  display: grid;
  grid-template-columns: repeat(var(--col), 1fr);
  grid-gap: calc( var(--gap) * 1px);
  max-width:70%;
  margin: calc( var(--mt) * 1px) auto 0;
}

.grid img{
  --r-block-margin:0;
  align-self: var(--valign);
}


.dragging {
  /* opacity: 0.8 !important; */
  cursor: grab !important;
  z-index: 9999 !important;
}

.popup::before {
  background: white; 
}

.popup {

  cursor:move;
  pointer-events: auto !important;  /* Assure que l'élément peut recevoir les événements de souris */
  user-select: text;
  position: absolute;               /* Positionne l'élément indépendamment du flux normal */
  resize: both;   
                    /* Permet le redimensionnement dans les deux directions */
                      /* Largeur initiale */
  min-width: min-content !important;
  max-width: 700px !important;    
  min-height: auto;
  max-height: 900px; 

  overflow-y: auto;                 /* Ajoute des barres de défilement si le contenu déborde */
  overflow-x: hidden;  

  /* background: white;                Couleur d'arrière-plan */
  background: #fff url("data:image/svg+xml,%3Csvg height='24' viewBox='0 0 8 8' width='24' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m0 0v4l1.5-1.5 1.5 1.5 1-1-1.5-1.5 1.5-1.5zm5 4-1 1 1.5 1.5-1.5 1.5h4v-4l-1.5 1.5z'/%3E%3C/svg%3E") 97% 100% no-repeat;

  opacity: 20%;                     /* Transparence assez élevée - 20% d'opacité */
  transition: opacity 0.5s ;
  padding: 1rem;                      /* 1rem=16px - Espace intérieur */
  border: 1px solid black;          /* Bordure pour délimiter la popup */
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.2);  /* Ombre pour effet de profondeur */
  z-index: 9999;                     /* S'assure que la popup reste au-dessus des autres éléments */

  text-align: left!important;
}


/* Demonstrate a "mostly customized" scrollbar
 * (won't be visible otherwise if width/height is specified) */
 .popup::-webkit-scrollbar {
  width: 18px;
  /* background-color: rgb(255, 255, 255); or add it to the track */
  background:none
}
/* Add a thumb */
.popup::-webkit-scrollbar-thumb {
  background: rgb(255, 0, 242);
}

.popup::-webkit-scrollbar-button{
  background: rgb(255, 0, 242);

}


.popup:hover {
  opacity:100%;
}


.popup h3{
  font-size: calc(1rem * 4 );
  font-weight: 600;
  color: var(--r-main-color);
}

.popup h4{
  font-size: 1.6rem;
  font-weight: 600;
  color: var(--r-main-color);

}

.popup p{
  font-size: 1.4rem; 
}

.popup a {
  font-weight: bolder;
}


video {
    background: unset!important;
}

audio {
  width: 75% !important;
}



.playback {
    display: none !important; 
}



